aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Ammerlaan <andrewammerlaan@riseup.net>2020-04-21 18:55:42 +0200
committerAndrew Ammerlaan <andrewammerlaan@riseup.net>2020-04-21 18:55:42 +0200
commitfe5732e35fc23a27d3d0f4d736cb93a122bf44d5 (patch)
tree57546dc3355d3451bc3fce53ef425fd13fdaa609 /net-misc
parentgames-util/NotEnoughProduction: new package (diff)
downloadguru-fe5732e35fc23a27d3d0f4d736cb93a122bf44d5.tar.gz
guru-fe5732e35fc23a27d3d0f4d736cb93a122bf44d5.tar.bz2
guru-fe5732e35fc23a27d3d0f4d736cb93a122bf44d5.zip
dev-python/lyricwikia: move to net-misc catagory
it is more appropriate since it is not realy a library, and youtube-dl is in this catagory as well Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Andrew Ammerlaan <andrewammerlaan@riseup.net>
Diffstat (limited to 'net-misc')
-rw-r--r--net-misc/lyricwikia/Manifest1
-rw-r--r--net-misc/lyricwikia/files/lyricwikia-0.1.11-skip-online-test.patch14
-rw-r--r--net-misc/lyricwikia/lyricwikia-0.1.11.ebuild38
-rw-r--r--net-misc/lyricwikia/metadata.xml9
4 files changed, 62 insertions, 0 deletions
diff --git a/net-misc/lyricwikia/Manifest b/net-misc/lyricwikia/Manifest
new file mode 100644
index 00000000..b152649f
--- /dev/null
+++ b/net-misc/lyricwikia/Manifest
@@ -0,0 +1 @@
+DIST lyricwikia-0.1.11.tar.gz 5571 BLAKE2B 1e2fb5400b4c0ed07d419e577e3c12c6b8eca749ce1a5b7dea51d6d055979722b82d003eac20402da873d3011d1b444c0783935adbc01ec99dd6079b234e6bc7 SHA512 53ff9a2837ccc10be62c2a92240e9849a9c88b7979f8058deff87ce6eda6e98e39fb86c78052de9a885db679cd87a6c5749af2f9502d3316fbbf2c0796718805
diff --git a/net-misc/lyricwikia/files/lyricwikia-0.1.11-skip-online-test.patch b/net-misc/lyricwikia/files/lyricwikia-0.1.11-skip-online-test.patch
new file mode 100644
index 00000000..5ca24dd4
--- /dev/null
+++ b/net-misc/lyricwikia/files/lyricwikia-0.1.11-skip-online-test.patch
@@ -0,0 +1,14 @@
+diff --git a/tests/test_get_lyrics.py b/tests/test_get_lyrics.py
+index 5b1bb74..634ca55 100644
+--- a/tests/test_get_lyrics.py
++++ b/tests/test_get_lyrics.py
+@@ -26,6 +26,6 @@ def test_returnLyricsNotFound():
+ assert len(responses.calls) == 1
+
+
+-def test_integration():
+- lyrics = get_lyrics('Led Zeppelin', 'Stairway to Heaven')
+- assert 'lady' in lyrics.lower()
++# def test_integration():
++# lyrics = get_lyrics('Led Zeppelin', 'Stairway to Heaven')
++# assert 'lady' in lyrics.lower()
diff --git a/net-misc/lyricwikia/lyricwikia-0.1.11.ebuild b/net-misc/lyricwikia/lyricwikia-0.1.11.ebuild
new file mode 100644
index 00000000..ce02490c
--- /dev/null
+++ b/net-misc/lyricwikia/lyricwikia-0.1.11.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python API to get song lyrics from LyricWikia"
+HOMEPAGE="https://github.com/enricobacis/lyricwikia"
+SRC_URI="https://github.com/enricobacis/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="test? ( dev-python/responses[${PYTHON_USEDEP}] )"
+
+RDEPEND="
+ dev-python/beautifulsoup:4[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]"
+
+PATCHES="${FILESDIR}/${P}-skip-online-test.patch"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # do not depend on deprecated dep
+ sed -i -e '/pytest-runner/d' setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+pkg_postinst() {
+ elog "Note that access to LyricWikia through this API (and products that use this API) should comply to the LyricWikia terms of use"
+}
diff --git a/net-misc/lyricwikia/metadata.xml b/net-misc/lyricwikia/metadata.xml
new file mode 100644
index 00000000..628ab201
--- /dev/null
+++ b/net-misc/lyricwikia/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+ <maintainer type="person">
+ <email>andrewammerlaan@riseup.net</email>
+ <name>Andrew Ammerlaan</name>
+ </maintainer>
+</pkgmetadata>